Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## unity.query
Class LQTreeBuilder

    java.lang.Object
      unity.query.LQTreeBuilder

All Implemented Interfaces:
  LQTreeConstants

    public class LQTreeBuilder

extends java.lang.Object
implements LQTreeConstants

Field Summary

Fields inherited from interface unity.query.LQTreeConstants
`ADD, AGGREGATEFUNCTION, AND, APPEND, ARITH_OP, ARITHMETICFUNCTION, AS_IDENTIFIER, AS_TABLE, BAG_DIFFERENCE, BAG_INTERSECTION, BAG_UNION, BigDecimal, COMPARISON_OP, CONDITION, CONSTANTEXPRESSION, CROSSPRODUCT, DIFFERENCE, DISTRIBUTEDJOIN, DUPLICATE_ELIMINATION, DYNAMICHASHJOIN, EARLYHASHJOIN, EARLYHASHJOIN_NOBUFFER, EXPRESSION, FILTER, FULLOUTERJOIN, FUNCTION, GROUPBY, HAVING, IDENTIFIER, IN, INNERJOIN, INTEGER, INTERSECTION, JOIN, LEFTOUTERJOIN, MATCHFUNCTION, MERGE, MERGEJOIN, MINIMUM_JOIN_BUFFER_SIZE, MULT, MULT_OP, NESTEDLOOPJOIN, NOT, OR, ORDERBY, PRODUCT, PROJECTION, REAL, RIGHTOUTERJOIN, SELECTION, SQLPATTERN, STRING, TABLE, TABLE_IDENTIFIER, UNION, UNKNOWN, XOR`

Constructor Summary
`LQTreeBuilder()`

Method Summary
`LQCondNode` | `buildConditionNode(SimpleNode cn, int optype, LQNode groupByNode)`
`LQExprNode` | `BuildExpressionNode(int type, SimpleNode sn, int iStartChild, LQNode groupByNode)`
`LQTree` | `BuildLQTree(SubQuery sq, SimpleNode ptRoot, GlobalSchema gs, java.util.HashMap tableLookup, java.util.HashMap attrLookup)`
`boolean` | `isJoinCondition(SimpleNode cn)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LQTreeBuilder

    public LQTreeBuilder()

Method Detail

### BuildLQTree

    public LQTree BuildLQTree(SubQuery sq,
                              SimpleNode ptRoot,
                              GlobalSchema gs,
                              java.util.HashMap tableLookup,
                              java.util.HashMap attrLookup)
                       throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### BuildExpressionNode

    public LQExprNode BuildExpressionNode(int type,
                                          SimpleNode sn,
                                          int iStartChild,
                                          LQNode groupByNode)
                                   throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### buildConditionNode

    public LQCondNode buildConditionNode(SimpleNode cn,
                                         int optype,
                                         LQNode groupByNode)
                                  throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### isJoinCondition

    public boolean isJoinCondition(SimpleNode cn)
                            throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD